<template>
  <v-layout>
    <div class="content-without-bg">
      <div class="form container flex justify-center mb-3">
        <div class="col-sm-6">

          <div class="row">
            <div class="col-sm-12 title">My Account</div>
          </div>

          <div class="row sub-form">
            <div class="col-sm-12 sub-title">Vehicle Details</div>
            <div class="col-sm-12 hr" />
            <div class="col-sm-9 mt-5">
              <div class="row" v-for="car of userinfo.cars">
                <div class="col-sm-6">
                  <label for="" class="label-1 col-sm-12">{{car.brand}}</label>
                  <input type="text" class="input-1 col-sm-12" id="" placeholder="" :value="`${car.Regno} ${car.Model}`" />
                </div>
                <div class="col-sm-6">
                  <label class="label-1 col-sm-12">&nbsp;</label>
                  <button type="button" class="col-sm-12" @click="gotoVehicleDetail(car)">View</button>
                </div>
              </div>
            </div>
            <div class="col-sm-3 center">
              <div class="row">
                <div class="row">
                  <div class="col center current-owner">
                    Current Owner?
                  </div>
                </div>
              </div>
              <div class="row-100 mt-3">
                <div class="row-100 flex">
                  <div class="col-sm-6 center yes-label">Yes</div>
                  <div class="col-sm-6 center no-label">No</div>
                </div>
              </div>
              <div class="row-100 vl mt-4" v-for="car of userinfo.cars">
                <div class="row-100 option-group flex">
                  <div class="col-sm-6 center">
                    <input class="form-check-input ml-0" type="radio" name="radio1" id="radio1" value="">
                  </div>
                  <div class="col-sm-6 center">
                    <input class="form-check-input ml-0" type="radio" name="radio1" id="radio1" value="">
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="row sub-form mt-5">
            <div class="col-sm-12 sub-title">Personal Details</div>
            <div class="col-sm-12 hr" />
            <div class="row-100 flex">
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">First Name</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="userinfo.Firstnam" />
              </div>
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Surname</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="userinfo.Surname" />
              </div>
            </div>
            <div class="row-100 flex mt-3">
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Mobile</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="userinfo.mobile" />
              </div>
              <div class="col-sm-6">
                <label for="" class="label col-sm-12">Email</label>
                <input type="text" class="input col-sm-12" id="" placeholder="" v-model="userinfo.Email" />
              </div>
            </div>
            <div class="row-100 flex mt-5">
              <div class="form-group col-sm-6">
                <button type="button" class="col-sm-12" @click="gotoAccountDetail(userinfo)">View More Details
                </button>
              </div>
              <div class="form-group col-sm-6">
                <button type="button" class="col-sm-12" @click="gotoContactUs">Contact Us</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <Footer :showTop="false" />
    </div>
  </v-layout>
</template>

<style scoped>
  .current-owner {
    color: #1a1a1a;
    font-size: 12px;
    font-weight: 700;
  }

  .yes-label {
    color: #1a1a1a;
    font-size: 12px;
    font-weight: 400;
  }

  .no-label {
    color: #1a1a1a;
    font-size: 12px;
    font-weight: 400;
  }

  .vl {
    border-left: 1px solid rgba(112, 112, 112, 0.9);
  }

  @media only screen and (max-width: 570px) {
    .current-owner {
      margin-top: 20px;
    }

    .vl {
      border-left: 0px solid rgba(112, 112, 112, 0.9);
    }
  }

</style>

<script>
  /* ============
   * Account Index Page
   * ============
   *
   * Page where the user can view the account information.
   */
	import { mapGetters, mapActions } from 'vuex';
  import VLayout from '@/layouts/Default'
  import VCard from '@/components/Card'

  export default {
    /**
     * The name of the page.
     */
    name: 'account-index',

		computed: {
      ...mapGetters({
        userinfo: 'account/getUserInfo',
      })
    },

    mounted() {
      if ($('html').hasClass('fp-enabled')) {
        $.fn.fullpage.destroy('all');
      }
			this.$store.dispatch('account/find');
    },

    methods: {
      gotoAccountDetail(user) {
        this.$router.push({
					name: 'home.account.detail',
					params: user,
				})
      },
      gotoVehicleDetail(car) {
				console.log(car);
        this.$router.push({
					name: 'home.vehicle.detail',
					params: car,
				})
      },
      gotoContactUs() {
        this.$router.push('/account/contactus')
      },
    },

    /**
     * The components that the page can use.
     */
    components: {
      VLayout,
      VCard,
    },
  }
</script>
